import { _ as __assign } from '../tslib.es6-20a2a300.js';
import { jsx } from 'react/jsx-runtime';
import { m as makeStyles } from '../makeStyles-c9a99c7a.js';
import { a as createStyles } from '../createStyles-16423e9e.js';
import { B as Box } from '../Box-581dc061.js';
import '../defaultTheme-49a26576.js';
import 'react';
import '../styled-339d0187.js';
import '../clsx.m-6243b874.js';
import '../hoist-non-react-statics.cjs-b718ab87.js';

var useStyles = makeStyles(function (theme) {
    return createStyles({
        root: {
            maxWidth: 1220 + theme.spacing(3) * 2 + "px",
            margin: "0 auto",
            paddingLeft: theme.spacing(3),
            paddingRight: theme.spacing(3)
        }
    });
});
var Container = function (_a) {
    var children = _a.children;
    var classes = useStyles();
    return jsx(Box, __assign({ className: classes.root }, { children: children }), void 0);
};

export { Container as default };
